// SPDX-License-Identifier: MIT
pragma solidity ^0.8.20;

interface IBondingCalculator {
    error InvalidPair();
    function fraction() external view returns (uint256);
    function markdown(address _lp) external view returns (uint256);
    function valuation(address pair_, uint256 amount_) external view returns (uint256 _value);
}
